Subject: Re: [PATCH] rhashtable: don't attempt to grow when at max_size

From: Daniel Borkmann <[email-masked]>
Date: Thu, 23 Apr 2015 18:16:08 +0200

On 04/23/2015 06:09 PM, Johannes Berg wrote:
> On Thu, 2015-04-23 at 11:59 -0400, David Miller wrote:
>
>>> This fixes the "lost insertion" issue and consequently allows my
>>> code to display its error (and verify my fix for it.)
>
>> It looks fine to me, but I'll let Herbert and Thomas review this.
>
> Oh, sorry, didn't know Herbert was also involved with this.

Would be good to add Fixes tags, commit in question seems to be:
ccd57b1bd324 ("rhashtable: Add immediate rehash during insertion")

> Anyway, that's a good idea. I really went for "this looks obvious" and
> patched it, and it started working for me thereafter. I don't know
> anything about side effects here.